package com.caimei.mapper.cmMapper;

import com.caimei.model.po.ProductParamPo;
import com.caimei.model.po.ProductPo;
import com.caimei.model.po.ProductTypePo;
import com.caimei.model.vo.*;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * Description
 *
 * @author : Aslee
 * @date : 2021/5/17
 */
@Mapper
public interface AuthProductMapper {

    List<ProductListVo> getProductList(@Param("listType") Integer listType, @Param("authId") Integer authId, @Param("productName") String productName, @Param("snCode") String snCode, @Param("status") Integer status, @Param("auditStatus") Integer auditStatus, @Param("shopAuditStatus") Integer shopAuditStatus);

    void updateProductStatusByProductId(@Param("productId") Integer productId, @Param("status") Integer status);

    void deleteProductByProductId(Integer productId);

    void insertProduct(ProductPo product);

    void updateProductByProductId(ProductPo product);

    void deleteParamsByProductId(Integer productId);

    void insertProductParam(@Param("productId") Integer productId, @Param("paramName") String paramName, @Param("paramContent") String paramContent);

    Integer getProductIdBySnCode(String snCode);

    ProductFormVo getProductFormByProductId(Integer productId);

    List<ProductParamPo> getParamsByProductId(Integer productId);

    List<Integer> getProductIdsByAuthId(Integer authId);

    ProductPo getImageByProductId(Integer productId);

    List<ProductPo> getAllImage();

    void updateImageByProductId(ProductPo product);

    void updateProductAuditStatus(@Param("productId") Integer productId, @Param("productTypeId") Integer productTypeId, @Param("status") Integer status, @Param("auditStatus") Integer auditStatus, @Param("invalidReason") String invalidReason, @Param("auditBy") Integer auditBy, @Param("auditTime") Date auditTime);

    List<WxProductListVo> getWxProductList(@Param("listType") Integer listType, @Param("authId") Integer authId, @Param("authParty") String authParty, @Param("productTypeId") Integer productTypeId, @Param("snCode") String snCode);

    Integer getBrandIdByBrandName(String brand);

    List<ProductFormVo> getAuthProductList(Integer authId);

    void updateCertificateImage(ProductPo product);

    AuthProductVo getAuthProductByProductId(Integer productId);

    StatementFileVo getStatementFile(Integer authUserId, Integer brandId);

    List<ProductParamPo> getAuthProductParams(Integer productId);

    List<WxProductListVo> getClubProductList(Integer authId);

    void insertProductType(ProductTypePo productType);

    void updateProductType(ProductTypePo productType);

    void deleteProductType(Integer productTypeId);

    void updateProductTypeStatus(Integer productTypeId, Integer status);

    List<ProductTypeListVo> getProductTypeList(Integer listType, Integer authUserId, String name, Integer status, Integer auditStatus);

    void updateProductTypeAuditStatus(Integer productTypeId, Integer status, Integer auditStatus, String invalidReason, Integer auditBy, Date auditTime);

    List<WxProductTypeListVo> getWxProductTypeList(Integer authUserId, String name);

    ProductTypePo getProductType(Integer productTypeId, String productName, Integer authUserId);

    Integer getProductCountByTypeId(Integer productTypeId);

    void updateProductShopAuditStatus(@Param("productId") Integer productId, @Param("productTypeId") Integer productTypeId, @Param("status") Integer status, @Param("shopAuditStatus") Integer auditStatus, @Param("shopInvalidReason") String invalidReason, @Param("shopAuditBy") Integer auditBy, @Param("shopAuditTime") Date auditTime);

    ProductPo getProductPo(Integer productId);

    Integer getAuthUserIdByProductId(Integer productId);

    void deleteParamsByProductTypeId(Integer productTypeId);

    void insertProductTypeParam(@Param("productTypeId") Integer productTypeId, @Param("paramName") String paramName, @Param("paramContent") String paramContent);

    List<ProductParamPo> getProductTypeParamList(Integer productTypeId);
}
