package com.caimei.mapper.cmMapper;

import com.caimei.model.dto.ShopInfoDto;
import com.caimei.model.po.CmBrandAuthFilePo;
import com.caimei.model.po.UserPo;
import com.caimei.model.vo.*;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * Description
 *
 * @author : Aslee
 * @date : 2021/5/11
 */
@Mapper
public interface ShopMapper {

    List<ShopListVo> getShopList(@Param("listType") Integer listType, @Param("shopName") String shopName, @Param("loginAccount") String loginAccount, @Param("shopType") Integer shopType, @Param("brandId") Integer brandId, @Param("mobile") String mobile, @Param("linkMan") String linkMan, @Param("lowerAuditStatus") Integer lowerAuditStatus, @Param("sendStatus") Integer sendStatus);

    void updateShopStatusByUserId(@Param("authUserId") Integer authUserId, @Param("status") Integer status);

    String getShopMobileByUserId(Integer authUserId);

    CmBrandAuthFilePo getStatementFile(CmBrandAuthFilePo searchFile);

    void insertStatementFile(CmBrandAuthFilePo cmBrandAuthFile);

    Integer getFileNumByMd5Hex(String md5Hex);

    void deleteStatementFile(Integer id);

    void insertShop(UserPo shop);

    void updateBrandAuthLogo(@Param("brandId") Integer brandId, @Param("brandAuthLogo") String brandAuthLogo);

    void updateFileUserId(@Param("statementFileId") Integer statementFileId,@Param("authUserId") Integer authUserId);

    void insertShopInfo(ShopInfoDto shopInfo);

    void updateShopByUserId(UserPo shop);

    ShopFormVo getShopByUserId(Integer authUserId);

    List<BrandVo> getBrandList(@Param("type") Integer type,@Param("authUserId") Integer authUserId);

    List<CountryVo> getCountryList();

    Integer getUserIdByMobile(String mobile);

    List<ShopBrandVo> getDbInfoBrandList(Integer authUserId);

    void deleteShopInfoById(Integer infoId);

    void updateShopInfo(ShopInfoDto shopInfoVo);

    List<ShopInfoVo> getShopInfoByUserId(Integer authUserId);

    Integer getUserIdByShopName(String shopName);

    Integer getAuthWaitAuditNum(Integer authUserId);

    Integer getProductWaitAuditNum(Integer authUserId);

    Integer getProductCount(@Param("authUserId") Integer authUserId, @Param("brandId") Integer brandId);

    List<FeedbackVo> getFeedbackList(@Param("authUserId") Integer authUserId, @Param("clubName") String clubName, @Param("mobile") String mobile, @Param("handleStatus") Integer handleStatus);

    FeedbackVo getFeedback(Integer feedbackId);

    void handleFeedback(@Param("feedbackId") Integer feedbackId, @Param("handleResult") String handleResult);

    Integer getShopStatus(Integer authUserId);

    Integer getUserIdByAppId(String appId);

    String getAppSecretByAppId(String appId);

    String getAppId(Integer authUserId);

    String getShopNameByAppId(String appId);

    List<String> getShopBrands(Integer authUserId);

    WxShopVo getWxShopInfo(Integer authUserId);

    Integer getWxAccountTypeByAppId(String appId);

    void updateShopMobile(@Param("authUserId") Integer authUserId, @Param("newMobile") String newMobile);

    String getLoginAccount(Integer authUserId);

    void bindLoginAccount(@Param("authUserId") Integer authUserId, @Param("loginAccount") String loginAccount);
}
