package com.caimei.model.dto;


import com.caimei.model.po.ProductParamPo;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.List;


/**
 * Description
 *
 * @author : Aslee
 * @date : 2021/5/17
 */
@Data
public class ProductSaveDto {
    /**
     * 授权商品id
     */
    private Integer productId;

    /**
     * 授权id
     */
    private Integer authId;

    /**
     * 品牌id
     */
    private Integer brandId;

    /**
     * 设备分类id
     */
    private Integer productTypeId;

    /**
     * 设备名称
     */
    private String productName;

    /**
     * 商品SN码
     */
    private String snCode;

    /**
     * 商品图片
     */
    private String productImage;

    /**
     * 授权牌照
     */
    private String certificateImage;

    /**
     * 是否生成二维码授权牌：0否，1是
     */
    private Integer addQrCodeFlag;

    /**
     * 生成二维码授权牌模板：1左下，2右边，3左边
     */
    private Integer addTemplateType;

    /**
     * 购买渠道
     */
    private String purchaseWay;

    /**
     * 发票图片
     */
    private String invoiceImage;

    /**
     * 创建人id
     */
    private Integer createBy;

    /**
     * 商品参数列表
     */
    private List<ProductParamPo> paramList;

    /**
     * 来源：1供应商保存，2机构保存
     */
    private Integer source;
}
