package com.caimei.model.po;

import java.io.Serializable;
import java.util.Date;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * cm_brand_auth_product
 *
 * @author Aslee
 * @date 2021/5/17
 */
@Data
public class ProductPo {
    /**
     * 商品Id
     */
    private Integer productId;

    /**
     * 授权Id
     */
    private Integer authId;

    /**
     * 品牌Id
     */
    private Integer brandId;

    /**
     * 设备分类id
     */
    private Integer productTypeId;

    /**
     * 设备名称
     */
    private String name;

    /**
     * sn码
     */
    private String snCode;

    /**
     * 商品图片
     */
    private String image;

    /**
     * pc添加水印商品图片
     */
    private String pcImage;

    /**
     * 小程序添加水印商品图片
     */
    private String appletsImage;

    /**
     * 原授权牌照
     */
    private String originalCertificateImage;

    /**
     * 授权牌照
     */
    private String certificateImage;

    /**
     * pc添加水印授权牌照
     */
    private String pcCertificateImage;

    /**
     * 小程序添加水印授权牌照
     */
    private String appletsCertificateImage;

    /**
     * 是否生成二维码授权牌：0否，1是
     */
    private Integer addQrCodeFlag;

    /**
     * 生成二维码授权牌模板：1左下，2右边，3左边
     */
    private Integer addTemplateType;

    /**
     * 购买渠道
     */
    private String purchaseWay;

    /**
     * 发票图片
     */
    private String invoiceImage;

    /**
     * 上线状态：0已下线，1已上线，2待上线
     */
    private Integer status;

    /**
     * 审核状态：0审核未通过，1审核通过，2待审核
     */
    private Integer auditStatus;

    /**
     * 供应商审核状态：0审核未通过，1审核通过，2待审核
     */
    private Integer shopAuditStatus;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 创建人Id
     */
    private Integer createBy;

    /**
     * 创建来源：1供应商添加，2机构用户添加
     */
    private Integer createSource;

    /**
     * 管理员审核人id，对应cm_brand_auth_user
     */
    private Integer auditBy;

    /**
     * 审核时间
     */
    private Date auditTime;
}