package com.caimei.model.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * cm_brand_auth
 * @author Aslee
 * @date 2021/5/17
 */
@Data
public class AuthVo {
    @ApiModelProperty("授权id")
    private Integer authId;

    @ApiModelProperty("供应商用户id")
    private Integer authUserId;

    @ApiModelProperty("授权机构")
    private String authParty;

    @ApiModelProperty("机构用户手机号")
    private String mobile;

    @ApiModelProperty("上线状态：0已下线，1已上线，2待上线")
    private Integer status;

    @ApiModelProperty("审核状态：0审核未通过，1审核通过，2待审核")
    private Integer auditStatus;

    @ApiModelProperty("供应商审核状态：0审核未通过，1审核通过，2待审核")
    private Integer shopAuditStatus;

    @ApiModelProperty("寄送状态：0未寄送，1已寄送")
    private Integer sendStatus;

    @ApiModelProperty("创建时间")
    private Date createTime;

    @ApiModelProperty("创建人")
    private String createBy;

    @ApiModelProperty("下级审核状态，0未完成审核，1已完成审核")
    private Integer lowerAuditStatus;

    @ApiModelProperty("下级待审核数量")
    private Integer waitAuditNum;

    @ApiModelProperty("供应商审核下级待审核数量")
    private Integer shopWaitAuditNum;

    @ApiModelProperty("审核人")
    private String auditBy;

    @ApiModelProperty("审核时间")
    private Date auditTime;

    @ApiModelProperty("审核不通过原因")
    private String invalidReason;

    /**
     * 供应商审核人
     */
    private String shopAuditBy;

    /**
     * 供应商审核时间
     */
    private Date shopAuditTime;

    /**
     * 机构下设备数量
     */
    private Integer productNum;
}