package com.caimei.model.vo;

import com.caimei.model.po.ProductParamPo;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiOperation;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * @author Aslee
 * @date 2021/5/17
 */
@Data
public class ProductFormVo {
    /**
     * 商品id
     */
    private Integer productId;

    /**
     * 授权id
     */
    private Integer authId;

    /**
     * 品牌id
     */
    private Integer brandId;

    /**
     * 品牌名称
     */
    private String brandName;

    /**
     * 设备分类id
     */
    private Integer productTypeId;

    /**
     * 商品名称
     */
    private String productName;

    /**
     * 商品SN码
     */
    private String snCode;

    /**
     * 商品图片
     */
    private String productImage;

    /**
     * 授权牌照
     */
    private String certificateImage;

    /**
     * 原授权牌照
     */
    private String originalCertificateImage;

    /**
     * 是否生成二维码授权牌：0否，1是
     */
    private Integer addQrCodeFlag;

    /**
     * 生成二维码授权牌模板：1左下，2右边，3左边
     */
    private Integer addTemplateType;

    /**
     * 购买渠道
     */
    private String purchaseWay;

    /**
     * 发票图片
     */
    private String invoiceImage;

    /**
     * 商品参数列表
     */
    private List<ProductParamPo> paramList;

    /**
     * 审核状态：0审核未通过，1审核通过，2待审核
     */
    private Integer auditStatus;

    /**
     * 供应商审核状态：0审核未通过，1审核通过，2待审核
     */
    private Integer shopAuditStatus;

    /**
     * 审核不通过原因
     */
    private String invalidReason;
}
