package com.caimei.model.vo;

import com.caimei.model.po.ShopInfoPo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * Description
 *
 * @author : Aslee
 * @date : 2021/5/11
 */
@Data
public class ShopFormVo implements Serializable {
    @ApiModelProperty("供应商用户id")
    private Integer authUserId;

    @ApiModelProperty("供应商名称")
    private String shopName;

    @ApiModelProperty("登录账号")
    private String loginAccount;

    @ApiModelProperty("供应商类型")
    private Integer shopType;

    @ApiModelProperty("代理商logo")
    private String logo;

    @ApiModelProperty("微信公众号类型：1订阅号，2服务号")
    private Integer wxAccountType;

    @ApiModelProperty("公众号二维码图片")
    private String qrCodeImage;

    @ApiModelProperty("供应商公众号appId")
    private String appId;

    @ApiModelProperty("供应商公众号appSecret")
    private String appSecret;

    @ApiModelProperty("手机号")
    private String mobile;

    @ApiModelProperty("联系人")
    private String linkMan;

    @ApiModelProperty("供应商状态：0停用 1启用")
    private Integer shopStatus;

    @ApiModelProperty("供应商信息列表")
    private List<ShopInfoVo> shopInfo;

    @ApiModelProperty("已存在商品的品牌id,以,隔开")
    private String existProductBrandIds;

    /**
     * 会员状态：0已过期，1生效中，2待生效，3非会员
     */
    private Integer vipStatus;
}
